Name:          mapdb
Version:       1.0.6
Release:       1%{?dist}
Summary:       Java database engine
License:       ASL 2.0
URL:           http://www.mapdb.org/
Source0:       https://github.com/jankotek/MapDB/archive/%{name}-%{version}.tar.gz
BuildRequires: mvn(junit:junit)
%if %{?fedora} >= 21
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%else
BuildRequires: mvn(org.sonatype.oss:oss-parent)
%endif
BuildRequires: maven-local
BuildArch:     noarch


%description
MapDB provides concurrent Maps, Sets and
Queues backed by disk storage or off-heap
memory. It is a fast and easy to use
embedded Java database engine.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n MapDB-%{name}-%{version}

# Cleanup
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete

%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :doxia-module-markdown
# lt.velykis.maven.skins:reflow-velocity-tools:1.0.0
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :site-maven-plugin
%pom_remove_plugin :jacoco-maven-plugin
# ch.raffael.pegdown-doclet:pegdown-doclet:1.1
%pom_remove_plugin :maven-javadoc-plugin

%mvn_file : %{name}

%build

# Test fail @ random on arm builder
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md license.txt notice.txt

%files javadoc -f .mfiles-javadoc
%doc license.txt notice.txt

%changelog
* Fri Jul 18 2014 gil cattaneo <puntogil@libero.it> 1.0.6-1
- update to 1.0.6

* Fri Jul 18 2014 gil cattaneo <puntogil@libero.it> 1.0.5-1
- initial rpm
